Skip to main content
GET
/
policy
/
rulesets
/
{ruleset}
/
admins
/
{user}
Describe an Admin
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/policy/rulesets/{ruleset}/admins/{user} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "state": "staged",
  "role": "admin",
  "count": {
    "workspace_logs_parent": 123,
    "workspace_logs_record": 123,
    "workspace_logs_related": 123
  },
  "included": {
    "directory_user": {
      "id": "<string>",
      "state": "staged",
      "manager_id": "<string>",
      "is_manager": true,
      "full_name": "<string>",
      "email": "<string>",
      "username": "<string>",
      "org": {},
      "metadata": {}
    },
    "policy_ruleset": {
      "id": "<string>",
      "state": "unmanaged",
      "type": "directory_attribute",
      "resource_id": "<string>",
      "is_authoritative": true,
      "expires_after_days": 123
    }
  },
  "timestamp": {
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "activated_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  },
  "links": {
    "directory_user": "<string>",
    "policy_ruleset": "<string>",
    "self": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ruleset
string
required

Policy Ruleset ID

user
string
required

Directory User ID

Query Parameters

filter
string
include
string

Response

PolicyRulesetAdminDetailedResponseData

id
string
required
Example:

"posaa_01hq8xyzabc123def456ghi789"

state
enum<string>
required
staged
The record is staged and is only visible to administrators or in the API. Use the activate method during your change window.
active
The record is active.
expiring
The expires_at value is set in the future for the record. You can run the activate action to remove the scheduled expiration.
expired
The expires_at value is in the past and the record was deactivated.
deactivated
The record was deactivated manually by an administrator.
Available options:
staged,
active,
expiring,
expired,
deactivated
role
enum<string>
required
admin
Can view, create, activate, deprecate, and delete rules and conditions in the ruleset
audit
Can view rules and conditions (read-only)
create
Can view rules and conditions and create new rules and conditions in a draft state. Rule and conditions are not in effect until a user with activate or admin role activates the rule.
activate
Can view rules and conditions and activate draft rules. Only admin can deprecate or deactivate a rule.
Available options:
admin,
audit,
create,
activate
count
object
required

Count of related resources

included
object
required

Included related resources

timestamp
TimestampStateData · object
required

API hyperlinks related to the Policy Ruleset Admin record

Example:
{
"self": "https://ws-a1b2c3.provisionr.io/api/v1/policy/admins/posaa_01hq8xyzabc123def456ghi789"
}